Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 157494 - tzselect (glibc-common) contains inappropriate escape sequence in awk script
Summary: tzselect (glibc-common) contains inappropriate escape sequence in awk script
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora Legacy
Classification: Retired
Component: glibc
Version: fc2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Fedora Legacy Bugs
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-12 00:53 UTC by Kurt Heberlein
Modified: 2016-11-24 15:01 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-16 12:16:52 UTC


Attachments (Terms of Use)

Description Kurt Heberlein 2005-05-12 00:53:21 UTC
Description of problem:
When using the 'none' (option 11 selection) from the first menu in tzselect, and
entering a timezone value, you receive the following:
Please identify a location so that time zone rules can be set correctly.
Please select a continent or ocean.
 1) Africa
 2) Americas
 3) Antarctica
 4) Arctic Ocean
 5) Asia
 6) Atlantic Ocean
 7) Australia
 8) Europe
 9) Indian Ocean
10) Pacific Ocean
11) none - I want to specify the time zone using the Posix TZ format.
#? 11
Please enter the desired value of the TZ environment variable.
For example, GST-10 is a zone named GST that is 10 hours ahead (east) of UTC.
GST-5
awk: cmd. line:5: warning: escape sequence `\.' treated as plain `.'

The following information has been given:

        TZ='GST-5'

Therefore TZ='GST-5' will be used.
Local time is now:      Tue May 10 20:31:06 GST 2005.
Universal Time is now:  Tue May 10 15:31:06 UTC 2005.
Is the above information OK?

Version-Release number of selected component (if applicable):
This is in:
glibc-common-2.3.3-27

How reproducible:
everytime

Steps to Reproduce:
1.invoke tzselect
2.select option 11
3.name a valid timezone descripter
  
Actual results:
see above

Expected results:
Would not expect to see the awk command failure

Additional info:

Comment 1 Pekka Savola 2005-05-16 12:16:52 UTC
This bug does not have security implications, so it won't be fixed by Fedora
Legacy for FC2.  Please reopen against a newer FC version if the problem still
persists there.


Note You need to log in before you can comment on or make changes to this bug.